import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { getOverlayBioEntityForAllModels } from '@/redux/overlayBioEntity/overlayBioEntity.thunk';
import { Button } from '@/shared/Button';
import { useEmptyBackground } from './hooks/useEmptyBackground';

interface OverlayListItemProps {
  name: string;
  overlayId: number;
}

export const OverlayListItem = ({ name, overlayId }: OverlayListItemProps): JSX.Element => {
  const onDownloadOverlay = (): void => {};
  const dispatch = useAppDispatch();
  const { setBackgroundtoEmptyIfAvailable } = useEmptyBackground();

  const onViewOverlay = (): void => {
    setBackgroundtoEmptyIfAvailable();
    dispatch(getOverlayBioEntityForAllModels({ overlayId }));
  };

  return (
    <li className="flex flex-row flex-nowrap justify-between pl-5 [&:not(:last-of-type)]:mb-4">
      <span>{name}</span>
      <div className="flex flex-row flex-nowrap">
        <Button variantStyles="ghost" className="mr-4 max-h-8" onClick={onViewOverlay}>
          View
        </Button>
        <Button className="max-h-8" variantStyles="ghost" onClick={onDownloadOverlay}>
          Download
        </Button>
      </div>
    </li>
  );
};
