import { Fill, Style } from 'ol/style';
import { fromExtent } from 'ol/geom/Polygon';
import Feature from 'ol/Feature';
import type Polygon from 'ol/geom/Polygon';

export const createOverlayGeometryFeature = (
  [xMin, yMin, xMax, yMax]: number[],
  color: string,
): Feature<Polygon> => {
  const feature = new Feature({ geometry: fromExtent([xMin, yMin, xMax, yMax]) });
  feature.setStyle(new Style({ fill: new Fill({ color }) }));
  return feature;
};
