import { ZERO } from '@/constants/common';
import type { GetHex3ColorGradientColorWithAlpha } from '@/hooks/useTriColorLerp';
import { OverlayBioEntityRender } from '@/types/OLrendering';
import { convertDecimalToHex } from '@/utils/convert/convertDecimalToHex';

export const getColorByAvailableProperties = (
  entity: OverlayBioEntityRender,
  getHexTricolorGradientColorWithAlpha: GetHex3ColorGradientColorWithAlpha,
  defaultColor: string,
): string => {
  if (typeof entity.value === 'number') {
    return getHexTricolorGradientColorWithAlpha(entity.value || ZERO);
  }
  if (entity.color) {
    return convertDecimalToHex(entity.color.rgb);
  }
  return defaultColor;
};
