import { DEFAULT_ERROR } from '@/constants/errors';
import { Loading } from '@/types/loadingState';
import { ConfigurationOption } from '@/types/models';
import { createEntityAdapter } from '@reduxjs/toolkit';

export const configurationAdapter = createEntityAdapter<ConfigurationOption>({
  selectId: option => option.type,
});

const REQUEST_INITIAL_STATUS: { loading: Loading; error: Error } = {
  loading: 'idle',
  error: DEFAULT_ERROR,
};

export const CONFIGURATION_INITIAL_STATE =
  configurationAdapter.getInitialState(REQUEST_INITIAL_STATUS);

export type ConfigurationState = typeof CONFIGURATION_INITIAL_STATE;
