import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { getOverlayBioEntity, getOverlayBioEntityForAllModels } from './overlayBioEntity.thunk';
import { OverlaysBioEntityState } from './overlayBioEntity.types';

export const getOverlayBioEntityReducer = (
  builder: ActionReducerMapBuilder<OverlaysBioEntityState>,
): void => {
  builder.addCase(getOverlayBioEntity.fulfilled, (state, action) => {
    if (action.payload) {
      state.overlaysId = [action.meta.arg.overlayId];
      state.data.push(...action.payload);
    }
  });
};

export const getOverlayBioEntityForAllModelsReducer = (
  builder: ActionReducerMapBuilder<OverlaysBioEntityState>,
): void => {
  builder.addCase(getOverlayBioEntityForAllModels.pending, state => {
    state.data = [];
  });
};
