import { createSelector } from '@reduxjs/toolkit';
import { rootSelector } from '../root/root.selectors';
import { currentModelIdSelector } from '../models/models.selectors';

export const overlayBioEntitySelector = createSelector(
  rootSelector,
  state => state.overlayBioEntity,
);

export const overlayBioEntityDataSelector = createSelector(
  overlayBioEntitySelector,
  overlayBioEntity => overlayBioEntity.data,
);

export const overlayBioEntitiesForCurrentModelSelector = createSelector(
  overlayBioEntityDataSelector,
  currentModelIdSelector,
  (data, currentModelId) => data.filter(entity => entity.modelId === currentModelId),
);
