import { DEFAULT_ERROR } from '@/constants/errors';
import { MapOverlay } from '@/types/models';
import { OverlaysState } from './overlays.types';

export const OVERLAYS_INITIAL_STATE_MOCK: OverlaysState = {
  data: [],
  loading: 'idle',
  error: DEFAULT_ERROR,
};

export const PUBLIC_OVERLAYS_MOCK: MapOverlay[] = [
  {
    name: 'PD substantia nigra',
    googleLicenseConsent: false,
    creator: 'appu-admin',
    description:
      'Differential transcriptome expression from post mortem tissue. Meta-analysis from 8 published datasets, FDR = 0.05, see PMIDs 23832570 and 25447234.',
    genomeType: null,
    genomeVersion: null,
    idObject: 11,
    publicOverlay: true,
    type: 'GENERIC',
    order: 1,
  },
  {
    name: 'Ageing brain',
    googleLicenseConsent: false,
    creator: 'appu-admin',
    description:
      'Differential transcriptome expression from post mortem tissue. Source: Allen Brain Atlas datasets, see PMID 25447234.',
    genomeType: null,
    genomeVersion: null,
    idObject: 12,
    publicOverlay: true,
    type: 'GENERIC',
    order: 2,
  },
  {
    name: 'PRKN variants example',
    googleLicenseConsent: false,
    creator: 'appu-admin',
    description: 'PRKN variants',
    genomeType: 'UCSC',
    genomeVersion: 'hg19',
    idObject: 17,
    publicOverlay: true,
    type: 'GENETIC_VARIANT',
    order: 3,
  },
  {
    name: 'PRKN variants doubled',
    googleLicenseConsent: false,
    creator: 'appu-admin',
    description: 'PRKN variants',
    genomeType: 'UCSC',
    genomeVersion: 'hg19',
    idObject: 18,
    publicOverlay: true,
    type: 'GENETIC_VARIANT',
    order: 4,
  },
  {
    name: 'Generic advanced format overlay',
    googleLicenseConsent: false,
    creator: 'appu-admin',
    description: 'Data set provided by a user',
    genomeType: null,
    genomeVersion: null,
    idObject: 20,
    publicOverlay: true,
    type: 'GENERIC',
    order: 5,
  },
];

export const OVERLAYS_PUBLIC_FETCHED_STATE_MOCK: OverlaysState = {
  data: PUBLIC_OVERLAYS_MOCK,
  loading: 'succeeded',
  error: DEFAULT_ERROR,
};
